---
server: https://{{ kubernetes_main_address }}:9345
token: {{ hostvars[groups[kubernetes_rke2_control_group][0]].token }}
node-name: {{ inventory_hostname }}
{% if kubernetes_rke2_enable_hardening %}
{% if kubernetes_version is defined and kubernetes_version is version('1.29', '>=') %}
profile: cis
{% elif kubernetes_version is defined and kubernetes_version is version('1.25', '>=') %}
profile: cis-1.23
{% else %}
profile: cis-1.6
{% endif %}
protect-kernel-defaults: true
selinux: true
{% endif %}
{% if kubernetes_version is defined and kubernetes_version is version('1.20', '>=') %}
kube-proxy-arg:
  - "metrics-bind-address=0.0.0.0:10249"
{% endif %}
{% if kubernetes_rke2_docker_registry %}
system-default-registry: "{{ kubernetes_rke2_docker_registry }}"
{% endif %}
{% if kubernetes_rke2_node_taint_groups is defined %}
{% if inventory_hostname in groups[kubernetes_rke2_node_taint_all_hosts] %}
node-taint:
{% for taint_group in kubernetes_rke2_node_taint_groups %}
{% if inventory_hostname in groups[taint_group] %}
  - {{ kubernetes_rke2_node_taints[taint_group]}}
{% endif %}
{% endfor %}
{% endif %}
{% endif %}
